Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] OpenMPI 1.3.2 with PathScale 3.2
From: Joshua Bernstein (jbernstein_at_[hidden])
Date: 2009-05-19 13:22:35


Jeff Squyres wrote:
> Hah; this is probably at least tangentially related to
>
>
> http://www.open-mpi.org/faq/?category=building#pathscale-broken-with-mpi-c++-api

This looks related, perhaps something about suggesting using the -gnu4 option
might be nice to add, if not there then maybe someplace else?

> I'll be kind and say that Pathscale has been "unwilling to help on these
> kinds of issues" with me in the past as well. :-)

They've been very responsive for me and their suggestions do generally do the
trick. There is no doubt the compiler is smoking fast, its just about
compatibility. :-)

> It's not entirely clear from the text, but I guess that sounds like
> Pathscale is unsupported on GCC 3.x systems...? Is that what you parse
> his answer to mean?

 From Pathscale: "PathScale does not support C++ OpenMP support on RHEL4. As I
noted earlier, RHEL4 is otherwise supported for all other compiler features, and
it's tested as well."

-Joshua Bernstein
Software Engineer
Penguin Computing